
CREATE TABLE `fbshare_campaigns` (
  `campaignid` int(100) unsigned NOT NULL auto_increment,
  `userid` int(100) unsigned NOT NULL,
  `campaignname` varchar(200) NOT NULL,
  `accountid` int(100) unsigned NOT NULL,
  `listid` int(100) unsigned NOT NULL,
  `messagespostedon` int(100) NOT NULL default '0',
  `howtopostmessages` int(1) unsigned NOT NULL default '0',
  `is_campaign_started` int(1) unsigned NOT NULL default '0',
  `campaign_enabled` int(1) unsigned NOT NULL default '1',
  `is_campaign_finished` int(1) unsigned NOT NULL default '0',
  `createdon` datetime NOT NULL,
  `campaign_run` int(10) unsigned NOT NULL default '0',
  `campaign_run_specific_day` date NOT NULL,
  `campaign_run_day` int(10) unsigned NOT NULL default '1',
  `campaign_run_month_day` int(10) unsigned NOT NULL default '1',
  `campaign_run_minutes_post_x_messages` int(5) unsigned NOT NULL default '10',
  `campaign_run_day_post_x_messages` int(5) NOT NULL default '1',
  `campaign_run_messages_to_post_minutes` int(10) unsigned NOT NULL default '10',
  `campaign_run_messages_to_post_every_hour` int(10) unsigned NOT NULL default '10',
  `campaign_run_messages_to_post_every_day` int(10) unsigned NOT NULL default '10',
  `campaign_run_messages_to_post_every_week` int(10) unsigned NOT NULL default '10',
  `campaign_repeat_type` int(10) unsigned NOT NULL default '0',
  `campaign_last_time_run` datetime NOT NULL,
  `totalmessagespostedinthiscampaign` int(100) unsigned NOT NULL default '0',
  `totalmessagesposted` int(100) unsigned NOT NULL default '0',
  `howmanytimesthecampaignrun` int(5) unsigned NOT NULL default '0',
  `posted_temp` int(5) unsigned NOT NULL default '0',
  `isgroup` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`campaignid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=93 ;

-- 
-- Dumping data for table `fbshare_campaigns`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `fbshare_campaigns_messages`
-- 

CREATE TABLE `fbshare_campaigns_messages` (
  `messageid` int(100) unsigned NOT NULL auto_increment,
  `campaignid` int(100) unsigned NOT NULL,
  `userid` int(100) unsigned NOT NULL,
  `message` text NOT NULL,
  `lastpostedon` datetime NOT NULL,
  `nroftimesposted` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`messageid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=4691 ;

-- 
-- Dumping data for table `fbshare_campaigns_messages`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `fbshare_fbaccounts`
-- 

CREATE TABLE `fbshare_fbaccounts` (
  `accountid` int(40) unsigned NOT NULL auto_increment,
  `userid` int(40) unsigned NOT NULL,
  `username` varchar(80) NOT NULL,
  `fb_description` varchar(250) NOT NULL,
  `fb_email` varchar(250) NOT NULL,
  `fb_password` varchar(250) NOT NULL,
  `fb_accountid` varchar(250) NOT NULL,
  `fb_username` varchar(250) NOT NULL,
  `accountstatus` int(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`accountid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=60 ;

-- 
-- Dumping data for table `fbshare_fbaccounts`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `fbshare_fbpages`
-- 

CREATE TABLE `fbshare_fbpages` (
  `pageid` int(100) unsigned NOT NULL auto_increment,
  `userid` int(100) unsigned NOT NULL,
  `accountid` int(100) unsigned NOT NULL,
  `fbpagedescription` varchar(250) NOT NULL,
  `fbpageurl` varchar(250) NOT NULL,
  `isgroup` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`pageid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2585 ;

-- 
-- Dumping data for table `fbshare_fbpages`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `fbshare_general_settings`
-- 

CREATE TABLE `fbshare_general_settings` (
  `settingid` int(150) unsigned NOT NULL auto_increment,
  `userid` int(40) unsigned NOT NULL,
  `cron_nr_posts` varchar(100) NOT NULL,
  `cron_pause_between_posts` varchar(100) NOT NULL default '0.2',
  `cron_send_notifications` int(10) unsigned NOT NULL default '0',
  `cron_send_notifications_to` varchar(250) NOT NULL,
  PRIMARY KEY  (`settingid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- 
-- Dumping data for table `fbshare_general_settings`
-- 

INSERT INTO `fbshare_general_settings` VALUES (1, 10000, '50', '3', 0, 'contact@your-domain.com');

-- --------------------------------------------------------

-- 
-- Table structure for table `fbshare_group_campaigns`
-- 

CREATE TABLE `fbshare_group_campaigns` (
  `groupcampaignid` int(100) unsigned NOT NULL auto_increment,
  `userid` int(100) NOT NULL,
  `campaignid` int(100) unsigned NOT NULL,
  `accountid` int(100) unsigned NOT NULL,
  `groupid` int(10) unsigned NOT NULL,
  PRIMARY KEY  (`groupcampaignid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=150 ;

-- 
-- Dumping data for table `fbshare_group_campaigns`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `fbshare_logs`
-- 

CREATE TABLE `fbshare_logs` (
  `logid` int(100) unsigned NOT NULL auto_increment,
  `userid` int(100) unsigned NOT NULL,
  `campaignid` int(100) unsigned NOT NULL,
  `logtext` text NOT NULL,
  `loggedon` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`logid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=97162 ;

-- 
-- Dumping data for table `fbshare_logs`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `fbshare_messagelists`
-- 

CREATE TABLE `fbshare_messagelists` (
  `listid` int(100) unsigned NOT NULL auto_increment,
  `userid` int(100) unsigned NOT NULL,
  `listname` varchar(100) NOT NULL,
  `listdescription` varchar(250) NOT NULL,
  PRIMARY KEY  (`listid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=43 ;

-- 
-- Dumping data for table `fbshare_messagelists`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `fbshare_messages`
-- 

CREATE TABLE `fbshare_messages` (
  `messageid` int(100) unsigned NOT NULL auto_increment,
  `listid` int(100) unsigned NOT NULL,
  `userid` int(100) unsigned NOT NULL,
  `message` text NOT NULL,
  PRIMARY KEY  (`messageid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=8234 ;

-- 
-- Dumping data for table `fbshare_messages`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `fbshare_users`
-- 

CREATE TABLE `fbshare_users` (
  `userid` int(40) unsigned NOT NULL auto_increment,
  `username` varchar(40) NOT NULL default '',
  `userpassword` varchar(80) NOT NULL default '',
  `useremailaddress` varchar(250) NOT NULL,
  `userfullname` varchar(250) NOT NULL,
  `usertype` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`userid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=10001 ;

-- 
-- Dumping data for table `fbshare_users`
-- 

INSERT INTO `fbshare_users` VALUES (10000, 'admin', '25e4ee4e9229397b6b17776bfceaf8e7', 'admin@your-domain.com', 'admin', 0);
